
Redmine - Defect #14448

fedora installation prerequisites

2013-07-12 12:51 - Andrej Pakhutin

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

In order to eliminate stop errors in 'bundle install' procedure under fedora 18-19 and maybe some other distributions it is worth

mentioning to install the following prerequisite packages:

yum install ruby-devel

for json gem build

and

yum install ImageMagick-devel

yum install mariadb-devel

or yum install community-mysql-devel

Not sure about mysql one, but it was stated by redhat that default mysql server will be replaced by mariadb in future releases, so it's

not a big issue for me.

History

#1 - 2013-07-12 13:03 - Andrej Pakhutin

Ah. also rake and some other components installed into /usr/local/bin to where is no PATH by default

#2 - 2013-07-15 21:49 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

You could make the necessary corrections in the wiki yourself...

In case you can't, please indicate where you think this information would fit.

#3 - 2013-07-24 15:08 - Andrej Pakhutin

Jan Niggemann wrote:

You could make the necessary corrections in the wiki yourself...

In case you can't, please indicate where you think this information would fit.

 Done.

Added http://www.redmine.org/projects/redmine/wiki/Fedora_installation_prerequisites page

and 'Fedora' subsection on http://www.redmine.org/projects/redmine/wiki/HowTos

#4 - 2013-07-29 05:33 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Andrej Pakhutin wrote:

Jan Niggemann wrote:

You could make the necessary corrections in the wiki yourself...

In case you can't, please indicate where you think this information would fit.

 Done.

Added http://www.redmine.org/projects/redmine/wiki/Fedora_installation_prerequisites page

and 'Fedora' subsection on http://www.redmine.org/projects/redmine/wiki/HowTos

 Thanks.
